<template>
  <div
    :class="
      visible === true
        ? 'bannerDiv alert alert-warning'
        : 'hideBanner bannerDiv alert alert-warning'
    "
  >
    <div class="bannerText">
      {{ bannerText1 }}
      <a :href="bannerLink" target="_blank">{{ linkText }}</a>
      {{ bannerText2 }}
    </div>
    <button
      v-if="dismissable === true"
      type="button"
      class="close"
      data-dismiss="alert"
      aria-label="Close"
      @click="closeEvent"
    >
      X
    </button>
  </div>
</template>

<script lang="ts">
import Vue from "vue";

export default Vue.extend({
  name: "CoscineNotificationBanner",
  props: {
    visible: {
      default: false,
      type: Boolean,
    },
    dismissable: {
      default: false,
      type: Boolean,
    },
    bannerText1: {
      default: "",
      type: String,
    },
    bannerText2: {
      default: "",
      type: String,
    },
    linkText: {
      default: "",
      type: String,
    },
    bannerLink: {
      default: "",
      type: String,
    },
  },
  methods: {
    closeEvent() {
      this.$emit("closeValue");
    },
  },
});
</script>
<style>
.close {
  margin-top: -20px;
  margin-right: -20px;
}
.close:focus {
  outline: none;
}
.bannerDiv {
  max-width: -webkit-fill-available;
}
.bannerText {
  margin-right: 60px;
}
.hideBanner {
  display: none;
}
</style>
